Get Keys in Subproject

Returns Keys created in context of this Subproject. Use query parameters to filter the results to a specific App User, Lock or Key state.

  • Use the appUserId parameter to limit results to Keys for a specific App User.
  • Use the lockId parameter to limit results to Keys for a specific Lock.
  • Use the excludeStates parameter to exclude Keys in a specific state. For example, to exclude revoked Keys, use excludeStates=revoked.

Use the limit parameter to specify how many items you want to receive. If not specified, limit is set to the maximum supported value of the API: 2500. You can use the limit and startAfterId query parameters together in order to implement a pagination system.

Required Scopeproject.admin
Required Modulesubproject
Path Params
string
required

ID of the Subproject.

Query Params
string

ID of the user. E.164 formatted mobile phone number you want to filter for.

string

ID of the Lock you want for filter for.

excludeStates
array of strings

Should the API call exclude Keys in the specified states. Defaults to empty array.

excludeStates
number
1 to 2500

The number of records to return.

string

ID of the record to start retrieving data from. Use together with limit for pagination.

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json